<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy cuboid.cpp</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('df/d4f/cuboid_8cpp_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">cuboid.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../df/d4f/cuboid_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d9/dae/cuboid_8hh.html">cuboid.hh</a>&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">    8</a></span>&#160;<a class="code" href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid::Cuboid</a>() {</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    ifstream inputFile;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    inputFile.open(kModelCuboid);</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <span class="keywordflow">if</span> (!inputFile.is_open()) {</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        cerr &lt;&lt; <span class="stringliteral">&quot;Unable to load model Cuboid file!&quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    }</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> point;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keywordflow">while</span> (inputFile &gt;&gt; point) {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        points.push_back(point);</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    }</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    inputFile.close();</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">   23</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Cuboid::draw</a>(<span class="keyword">const</span> std::string &amp;filename)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    ofstream outputFile;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    outputFile.open(filename);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordflow">if</span> (!outputFile.is_open()) {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        cerr &lt;&lt; <span class="stringliteral">&quot;Unable to open drone file!&quot;</span> &lt;&lt; endl;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    }</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="../../d6/d3f/class_matrix.html">rotationMatrix</a> matrix(angle);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; points.size(); ++i) {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        outputFile &lt;&lt; (matrix * points[i]) + translation &lt;&lt; endl;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keywordflow">if</span> (i % 4 == 3) {  <span class="comment">// triggers after every 4 points</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            outputFile &lt;&lt; <span class="stringliteral">&quot;#\n\n&quot;</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        }</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_cuboid_html_a99d72f5f198a082b067309b2e5847595"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Cuboid::draw</a></div><div class="ttdeci">void draw(const std::string &amp;filename) const</div><div class="ttdoc">Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4f/cuboid_8cpp_source.html#l00023">cuboid.cpp:23</a></div></div>
<div class="ttc" id="acuboid_8hh_html"><div class="ttname"><a href="../../d9/dae/cuboid_8hh.html">cuboid.hh</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="../../d5/db2/class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="aclass_cuboid_html_a1abf60e93d024b7a01ee5b1a48f1f08a"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid::Cuboid</a></div><div class="ttdeci">Cuboid()</div><div class="ttdoc">Konstruktor dla klasy Cuboid.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4f/cuboid_8cpp_source.html#l00008">cuboid.cpp:8</a></div></div>
<div class="ttc" id="aclass_matrix_html"><div class="ttname"><a href="../../d6/d3f/class_matrix.html">Matrix</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1b/_matrix_8hh_source.html#l00018">Matrix.hh:18</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="../../df/d4f/cuboid_8cpp.html">cuboid.cpp</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
